// shoppingGuid/page/pages/openCard/openCard.js
const app = getApp()
const wxService = require('../../../../utils/wxService')
import { Integer } from '../../../../utils/integerDigitalConvertion'
const utils = require('../../../../utils/util')

wxService.page({

  /**
   * 页面的初始数据
   */
  data: {

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  //授权回调
  userAuthBtnCallBack(res = {}) {
    wx.showLoading({
      title: '请求中..',
    });
    
    const userInfo = res.detail || {};
    if (res.detail.userInfo) {
      utils.getUserInfoByBtn(userInfo).then((data = {}) => {
        const { token } = data
        wx.setStorageSync('_accreditUserInfo', userInfo);
        if (token) {
          wx.setStorageSync('token', token)
        } else {
          wx.setStorageSync('token', '')
        }
        wx.setStorageSync('_baseUserInfo', data)
        // 存储用户开卡状态
        this.setUserInfo()
      }).catch(err => {
        if (err) {
          wx.showToast({
            title: `会员系统异常请稍后重试!`,
            icon: 'none'
          })
        }
      })
    } else {
      this.setData({
        isAuthorization: false
      })
    }
  },

  //设置用户信息
  setUserInfo() {
    // 判断有无开卡
    // const {memberActivateStatus} = wx.getStorageSync('_baseUserInfo')
    const userInfo = wx.getStorageSync('_baseUserInfo')
    // 新用户去激活领卡 
    if (userInfo && userInfo.member && !userInfo.member.mobile) {
      wxService.openCard()
      return false
    }

    return ;
    //如果已经是会员则跳转到首页
    wx.reLaunch({
      url: '/pages/userCenter/userCenter',
    });
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },
});